Bug 319191 - Review Request: glaxium - An OpenGL space shooter
Summary: Review Request: glaxium - An OpenGL space shooter
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-04 20:19 UTC by Hans de Goede
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 17:54:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gauret: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2007-10-04 20:19:49 UTC
Spec URL: http://people.atrpms.net/~hdegoede/glaxium.spec
SRPM URL: http://people.atrpms.net/~hdegoede/glaxium-0.5-1.fc8.src.rpm
Description:
Glaxium is an OpenGL-based space-ship "shoot-em-up" styled game.
It is designed to provide the same feel as the old 2D games 
of that type, but with 3D for the special effects.

Comment 1 Aurelien Bompard 2007-10-06 16:49:37 UTC
Review for release 1.fc7:
* RPM name is OK
* Source glaxium_0.5.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine

(38 checks have been run)

Needs work:
* Please install at least a 48x48 icon (required by the spec, see
http://standards.freedesktop.org/icon-theme-spec/icon-theme-spec-latest.html#install_icons)
* Desktop file: the Icon tag should either use the full path to the icon or the
icon name without extension (wiki:Packaging/Guidelines#desktop)

Please fix these issues and you're good to go !

Comment 2 Hans de Goede 2007-10-06 20:42:08 UTC
(In reply to comment #1)
> Needs work:
> * Please install at least a 48x48 icon (required by the spec, see
>
http://standards.freedesktop.org/icon-theme-spec/icon-theme-spec-latest.html#install_icons)

I've had this discussion before, not sure if it was with you though. The spec
says: "Minimally you should install a 48x48 icon in the hicolor theme." Notice
the *should*, the spec also describes in much more detail how a toolkit /
application should search for icons. There it says that if an icon of the proper
size isn't found all other possible sizes should be searched, and the icon
should then be software scaled to the desired size. So installing a 128x128 icon
will work fine, and scaling it to 48x48 is useless (more then that it would
loose details when a bigger icon is wanted), as any toolkit / app following the
spec will do the scaling itself if needed.

> * Desktop file: the Icon tag should either use the full path to the icon or the
> icon name without extension (wiki:Packaging/Guidelines#desktop)
> 

Fixed.

Here is a new version:
Spec URL: http://people.atrpms.net/~hdegoede/glaxium.spec
SRPM URL: http://people.atrpms.net/~hdegoede/glaxium-0.5-2.fc8.src.rpm


Comment 3 Aurelien Bompard 2007-10-07 13:21:56 UTC
Fine by me.

Review for release 2:
* RPM name is OK
* Source glaxium_0.5.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine

APPROVED

Comment 4 Hans de Goede 2007-10-07 13:30:34 UTC
Thanks!

New Package CVS Request
=======================
Package Name:      glaxium
Short Description: An OpenGL space shooter
Owners:            jwrdegoede
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes


Comment 5 Hans de Goede 2007-10-09 15:09:23 UTC
<ugh, I forgot to set the fedora cvs flag>


Comment 6 Kevin Fenzi 2007-10-09 15:36:55 UTC
cvs done.

Comment 7 Hans de Goede 2007-10-09 17:54:17 UTC
Imported and build, closing.



Note You need to log in before you can comment on or make changes to this bug.